@font-face {
  font-family: "Fredoka";
  src: url("../fonts/Fredoka-VariableFont_wdth,wght.woff2") format("woff2");
}

*, *::before, *::after {
  box-sizing: border-box;
}

:root {
  font-family: "Fredoka", sans-serif;
  line-height: 1.6;
  scroll-behavior: smooth;

  /*variabelen*/
  --bg: oklch(0.99 0.003 325);
  --primary: oklch(0.25 0.01 325);

  background-color: var(--bg);
  color: var(--primary);
}

body {
  margin: 0;
}

.container {
  max-width: 80rem;
  margin-inline: auto;
  padding-inline: 0;
}

header {
  background-color: var(--primary);
  padding-block: 1rem;
}

nav ul {
  padding: 0;
  margin-left: 0;
  list-style: none;
  display: flex;
  flex-wrap: wrap;
}

nav li {
  margin-left: -2rem;
}

nav a {
  padding-block: 1rem;
  padding-inline: 2rem;
  text-decoration: none;
  color: var(--bg);
}

nav ul {
  padding: 0;
  margin: 0;
  list-style: none;
  display: flex;
}

.row {
  display: flex;
  gap: 2rem;
}

.row > * {
  flex-direction: column;
  border: dashed;
  border-color: oklch(0.7 0.3 330);
  padding: 1rem;
  flex-grow: 1;
}

.row > *:first-child {
  flex-grow: 2;
}

.visually-hidden {
  display: none;
}

main nav ul {
  display: flex;
  justify-content: flex-end;
}

main nav li:nth-child(2) {
  margin-left: auto;
}

main nav li:first-child a {
  color: var(--primary);
  background-color: var(--bg);
}

main nav a {
  display: flex;
  flex-direction: row;
  justify-content: flex-end;
  margin: 1rem;
  color: oklch(87.587% 0.28215 140.052);
  background-color: oklch(0% 0 0);
  border-radius: 0;
  transition: border-radius .2s ease-in-out .1s;
}

main nav a:hover, main nav a:focus-visible {
  color: oklch(87.587% 0.28215 140.052);
  background-color: oklch(0% 0 0);
  border-radius: 70%;
}

.cards {
  display: flex;
  flex-direction: row;
  gap: 2rem;
  margin: 0;
  padding: 0;
  list-style: none;
  flex-wrap: wrap;
}

.content {
  display: flex;
  flex-direction: column;
  background-color: rgb(236, 229, 229);
  border-radius: 1rem;
  position: relative;
  flex-wrap: wrap;
}

.content img {
  order: -1;
  border-radius: 1rem;
}

.overlay-link {
  position: absolute;
  inset: 0;
  text-indent: 100%;
  white-space: nowrap;
  overflow: hidden;
  background-color: rgba(255, 255, 255, 0);
  flex-wrap: wrap;
}
